<?xml version="1.0" encoding="utf-8" ?>
<configuration>
    <startup> 
        <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5.2" />
    </startup>
    <system.serviceModel>
        <bindings>
            <basicHttpBinding>
                <binding name="BasicHttpBinding_IServicePerCall" />
                <binding name="BasicHttpBinding_IServicePerSession" />
                <binding name="BasicHttpBinding_IServiceSingle" />
            </basicHttpBinding>
        </bindings>
        <client>
            <endpoint address="http://localhost:8733/Design_Time_Addresses/WcfServiceLibraryPerCall/Service1/"
                binding="basicHttpBinding" bindingConfiguration="BasicHttpBinding_IServicePerCall"
                contract="ServiceReferencePerCall.IServicePerCall" name="BasicHttpBinding_IServicePerCall" />
            <endpoint address="http://localhost:8733/Design_Time_Addresses/WcfServiceLibraryPerSession/Service1/"
                binding="basicHttpBinding" bindingConfiguration="BasicHttpBinding_IServicePerSession"
                contract="ServiceReferencePerSession.IServicePerSession" name="BasicHttpBinding_IServicePerSession" />
            <endpoint address="http://localhost:8733/Design_Time_Addresses/WcfServiceLibrarySingle/Service1/"
                binding="basicHttpBinding" bindingConfiguration="BasicHttpBinding_IServiceSingle"
                contract="ServiceReferenceSingle.IServiceSingle" name="BasicHttpBinding_IServiceSingle" />
        </client>
    </system.serviceModel>
</configuration>